index_tree Struct Reference

AVL tree to hold index_stream or index_group structures. More...

## Data Fields

index_tree_node * | root
| Root node. More...
index_tree_node * | leftmost
index_tree_node * | rightmost
uint32_t | count
| Number of nodes in the tree. More...

## Detailed Description

AVL tree to hold index_stream or index_group structures.

## Field Documentation

## root

index_tree_node* index_tree::root

Root node.

Referenced by index_tree_append(), and index_tree_locate().

## leftmost

index_tree_node* index_tree::leftmost

Leftmost node. Since the tree will be filled sequentially, this won't change after the first node has been added to the tree.

Referenced by index_tree_append().

## rightmost

index_tree_node* index_tree::rightmost

The rightmost node in the tree. Since the tree is filled sequentially, this is always the node where to add the new data.

Referenced by index_tree_append().

## count

uint32_t index_tree::count

Number of nodes in the tree.

Referenced by index_tree_append().

The documentation for this struct was generated from the following file:

- liblzma/common/index.c